# tar-split

Archive a large directory in manageable chunks.

## Generate

```bash
./generate large-directory/
```

A set of tar files called `file-[\d].tar` will be created in this directory.

## Extract

**All segments of the chunked archive must be present to untar.**

If the tar files are gzipped or otherwise compressed, uncompress them back to tarballs first. They cannot, however, be individually untarred.

```bash
./extract
```

The archives will be extracted relative to this directory.

## Credit & License

Credit belongs to enzotib and Nemo on [StackExchange](https://unix.stackexchange.com/a/21374). 
Licensed under CC 3.0 By-SA.
